# Generated from gadget-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gadget

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Summary: Some methods for getting metadata and other deep details from a PostgreSQL database
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
# Gadget
Some methods for getting metadata and other deep details from a PostgreSQL
database.
## Installation
Add this line to your application's Gemfile:
gem 'gadget'
And then execute:
$ bundle
Or install it yourself as:
$ gem install gadget
## Usage
`#tables(conn)`
Returns a list of all tables in the schema reachable through `conn`.
`#columns(conn, tablename=nil)`
Returns a list of all columns in the schema reachable through `conn`.
If `tablename` is given, returns the columns in only that table.
`#foreign_keys(conn, tablename=nil)`
Returns a list of all foreign keys in the schema reachable through `conn`.
If `tablename` is given, returns the foreign keys in only that table.
`#constraints(conn, tablename=nil)`
Returns a list of all constraints in the schema reachable through `conn`.
If `tablename` is given, returns the constraints in only that table.
`#dependencies(conn)`
Returns a structure representing the dependencies between tables in the schema
reachable through `conn`.
Table A is defined as dependent on table B if A contains a foreign key
reference to B.
`#tables_in_dependency_order(conn)`
Returns a list of all tables in the schema reachable through `conn`, ordered
such that any given table
appears later in the list than all of its dependencies.
`#dependency_graph(conn)`
Returns `.dot` script (suitable for feeding into Graphviz) describing the
table dependency graph.
`#functions(conn)`
Returns a list of all functions in the schema reachable through `conn`.
`#sequences(conn)`
Returns a list of all sequences in the schema reachable through `conn`.
`#triggers(conn)`
Returns a list of all triggers in the schema reachable through `conn`.
`#types(conn)`
Returns a list of all types in the schema reachable through `conn`.
## Contributing
1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/gadget
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/gadget.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.7.0-1
- Initial package
